package com.brilliance.isc.bo.lg;

import com.brilliance.isc.bo.model.Ncdgrp;
import com.brilliance.isc.bo.model.Nidgrp;
import com.brilliance.isc.bo.model.Nitp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NetameStoreBo extends BaseTransactionVo {

    private Nidgrp nidgrp;

    private Nidgrp oldnidgrp;

    //与前端模型保持一致
    private NitamepBo nitamep;

    //与前端模型保持一致
    private SwiaddVo swiadd;

    //前端修改的字段
    private GitameInfoBo litameInfo;

    private Ncdgrp ncdgrp;

    private Nitp nitp;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        oldnidgrp.reset();
        if (nitamep == null) {
            nitamep = new NitamepBo();
        }
        nitamep.reset();
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
        if (litameInfo == null) {
            litameInfo = new GitameInfoBo();
        }
        litameInfo.reset();
        if (ncdgrp == null){
            ncdgrp = new Ncdgrp();
        }
        ncdgrp.reset();
        if (nitp == null){
            nitp = new Nitp();
        }
    }
}
